package org.javabuilders.swing.jide;

import org.javabuilders.BuilderConfig;
import org.javabuilders.swing.SwingJavaBuilder;

import com.jidesoft.action.Chevron;
import com.jidesoft.action.CommandBar;
import com.jidesoft.action.CommandBarSeparator;
import com.jidesoft.action.CommandBarTitleBar;
import com.jidesoft.action.CommandMenuBar;
import com.jidesoft.action.DefaultAppletDockableBarDockableHolder;
import com.jidesoft.action.DefaultDialogDockableBarDockableHolder;
import com.jidesoft.action.DefaultDialogDockableBarHolder;
import com.jidesoft.action.DefaultDockableBarDockableHolder;
import com.jidesoft.action.DefaultDockableBarHolder;
import com.jidesoft.action.DefaultInternalFrameDockableBarDockableHolder;
import com.jidesoft.action.DefaultInternalFrameDockableBarHolder;
import com.jidesoft.action.DockableBar;
import com.jidesoft.action.DockableBarDockableHolderPanel;
import com.jidesoft.action.DockableBarHolderPanel;
import com.jidesoft.action.FloatingDockableBarContainer;
import com.jidesoft.action.MainContainer;


/**
 * SwingJideActionConfig : Configures the Jide Actions into the Java SwingBuilder
 *
 * @author anavarro - 20 Jul 2009
 *
 */
public final class SwingJideActionConfig
{

    /**
     * Constructor.
     *
     */
    private SwingJideActionConfig()
    {
        // Helper Class
    }

    /**
     * Registers SwingX components into the default SwingBuilder
     */
    public static void register()
    {
        register(SwingJavaBuilder.getConfig());
    }

    /**
     * Registers SwingX components into the specified BuilderConfig
     *
     * @param config
     *            Builder configuration
     */
    public static void register(BuilderConfig config)
    {
        // visual components
        // action
        config.addType(Chevron.class);
        config.addType(CommandBar.class);
        config.addType(CommandBarSeparator.class);
        config.addType(CommandBarTitleBar.class);
        config.addType(CommandMenuBar.class);
        config.addType(DefaultAppletDockableBarDockableHolder.class);
        config.addType(DefaultDialogDockableBarDockableHolder.class);
        config.addType(DefaultDialogDockableBarHolder.class);
        config.addType(DefaultDockableBarDockableHolder.class);
        config.addType(DefaultDockableBarHolder.class);
        config.addType(DefaultInternalFrameDockableBarDockableHolder.class);
        config.addType(DefaultInternalFrameDockableBarHolder.class);
        config.addType(DockableBar.class);
        config.addType(DockableBarDockableHolderPanel.class);
        config.addType(DockableBarHolderPanel.class);
        config.addType(FloatingDockableBarContainer.class);
        config.addType(MainContainer.class);
    }
}
