package org.javabuilders.swing.jide;

import org.javabuilders.BuilderConfig;
import org.javabuilders.swing.SwingJavaBuilder;

import com.jidesoft.alert.Alert;
import com.jidesoft.alert.InputPopup;
import com.jidesoft.document.DocumentPane;
import com.jidesoft.document.FloatingDocumentContainer;
import com.jidesoft.document.TdiGroup;
import com.jidesoft.pane.BookmarkPane;
import com.jidesoft.pane.CollapsiblePane;
import com.jidesoft.pane.CollapsiblePaneTitleButton;
import com.jidesoft.pane.CollapsiblePanes;
import com.jidesoft.pane.FloorTabbedPane;
import com.jidesoft.pane.OutlookTabbedPane;
import com.jidesoft.tooltip.BalloonTip;


/**
 * SwingJideComponentsConfig : Configures the Jide Components into the Java SwingBuilder
 *
 * @author anavarro - 20 Jul 2009
 *
 */
public final class SwingJideComponentsConfig
{

    /**
     * Constructor.
     *
     */
    private SwingJideComponentsConfig()
    {
        // Helper Class
    }

    /**
     * Registers SwingX components into the default SwingBuilder
     */
    public static void register()
    {
        register(SwingJavaBuilder.getConfig());
    }

    /**
     * Registers SwingX components into the specified BuilderConfig
     *
     * @param config
     *            Builder configuration
     */
    public static void register(BuilderConfig config)
    {
        // visual components
        // document
        config.addType(DocumentPane.class);
        config.addType(FloatingDocumentContainer.class);
        config.addType(TdiGroup.class);
        // pane
        config.addType(BookmarkPane.class);
        config.addType(CollapsiblePane.class);
        config.addType(CollapsiblePanes.class);
        config.addType(CollapsiblePaneTitleButton.class);
        config.addType(FloorTabbedPane.class);
        config.addType(OutlookTabbedPane.class);
        // alert
        config.addType(Alert.class);
        config.addType(InputPopup.class);
        // tooltip
        config.addType(BalloonTip.class);
        // animation
    }
}
