package org.javabuilders.swing.jide;

import org.javabuilders.BuilderConfig;
import org.javabuilders.swing.SwingJavaBuilder;

import com.jidesoft.dashboard.Dashboard;
import com.jidesoft.dashboard.DashboardDocumentPane;
import com.jidesoft.dashboard.DashboardTabbedPane;
import com.jidesoft.dashboard.GadgetContainer;
import com.jidesoft.dashboard.GadgetPalette;
import com.jidesoft.dashboard.GadgetPaletteButton;
import com.jidesoft.dashboard.SingleDashboardHolder;


/**
 * SwingJideDashboardConfig : Configures the Jide Dashboard into the Java SwingBuilder
 *
 * @author anavarro - 20 Jul 2009
 *
 */
public final class SwingJideDashboardConfig
{

    /**
     * Constructor.
     *
     */
    private SwingJideDashboardConfig()
    {
        // Helper Class
    }

    /**
     * Registers SwingX components into the default SwingBuilder
     */
    public static void register()
    {
        register(SwingJavaBuilder.getConfig());
    }

    /**
     * Registers SwingX components into the specified BuilderConfig
     *
     * @param config
     *            Builder configuration
     */
    public static void register(BuilderConfig config)
    {
        // visual components
        // dashboard
        config.addType(Dashboard.class);
        config.addType(DashboardDocumentPane.class);
        config.addType(DashboardTabbedPane.class);
        config.addType(GadgetContainer.class);
        config.addType(GadgetPalette.class);
        config.addType(GadgetPaletteButton.class);
        config.addType(SingleDashboardHolder.class);
    }
}
