package org.javabuilders.swing.jide;

import org.javabuilders.BuilderConfig;
import org.javabuilders.swing.SwingJavaBuilder;

import com.jidesoft.tipoftheday.TipOfTheDayDialog;
import com.jidesoft.wizard.CompletionWizardPage;
import com.jidesoft.wizard.DefaultWizardPage;
import com.jidesoft.wizard.GraphicLeftPane;
import com.jidesoft.wizard.IconMultilinePanel;
import com.jidesoft.wizard.JavaHelpPane;
import com.jidesoft.wizard.JavaStepsPane;
import com.jidesoft.wizard.JavaWizardHeader;
import com.jidesoft.wizard.LeftPane;
import com.jidesoft.wizard.MacOSXStepsPane;
import com.jidesoft.wizard.StepsPane;
import com.jidesoft.wizard.WelcomeWizardPage;
import com.jidesoft.wizard.WizardDialog;
import com.jidesoft.wizard.WizardDialogPane;


/**
 * SwingJideDialogConfig : Configures the Jide Dialog into the Java SwingBuilder
 *
 * @author anavarro - 20 Jul 2009
 *
 */
public final class SwingJideDialogsConfig
{

    /**
     * Constructor.
     *
     */
    private SwingJideDialogsConfig()
    {
        // Helper Class
    }

    /**
     * Registers SwingX components into the default SwingBuilder
     */
    public static void register()
    {
        register(SwingJavaBuilder.getConfig());
    }

    /**
     * Registers SwingX components into the specified BuilderConfig
     *
     * @param config
     *            Builder configuration
     */
    public static void register(BuilderConfig config)
    {
        // visual components
        // wizards
        config.addType(CompletionWizardPage.class);
        config.addType(DefaultWizardPage.class);
        config.addType(GraphicLeftPane.class);
        config.addType(IconMultilinePanel.class);
        config.addType(JavaHelpPane.class);
        config.addType(JavaStepsPane.class);
        config.addType(JavaWizardHeader.class);
        config.addType(LeftPane.class);
        config.addType(MacOSXStepsPane.class);
        config.addType(StepsPane.class);
        config.addType(WelcomeWizardPage.class);
        config.addType(WizardDialog.class);
        config.addType(WizardDialogPane.class);
        // tipofday
        config.addType(TipOfTheDayDialog.class);
    }
}
