package org.javabuilders.swing.jide;

import org.javabuilders.BuilderConfig;
import org.javabuilders.swing.SwingJavaBuilder;

import com.jidesoft.docking.AutoHideContainer;
import com.jidesoft.docking.ContainerContainer;
import com.jidesoft.docking.ContainerContainerDivider;
import com.jidesoft.docking.DefaultAppletDockableHolder;
import com.jidesoft.docking.DefaultDialogDockableHolder;
import com.jidesoft.docking.DefaultDockableHolder;
import com.jidesoft.docking.DefaultInternalFrameDockableHolder;
import com.jidesoft.docking.DefaultWindowDockableHolder;
import com.jidesoft.docking.DialogFloatingContainer;
import com.jidesoft.docking.DockContext;
import com.jidesoft.docking.DockableFrame;
import com.jidesoft.docking.DockableFramePopup;
import com.jidesoft.docking.DockableHolderPanel;
import com.jidesoft.docking.DockedFrameContainer;
import com.jidesoft.docking.FrameContainer;
import com.jidesoft.docking.FrameFloatingContainer;
import com.jidesoft.docking.SlidingOverFrameContainer;
import com.jidesoft.docking.WindowFloatingContainer;
import com.jidesoft.docking.Workspace;


/**
 * SwingJideDockConfig : Configures the Jide Dock into the Java SwingBuilder
 *
 * @author anavarro - 20 Jul 2009
 *
 */
public final class SwingJideDockConfig
{

    /**
     * Constructor.
     *
     */
    private SwingJideDockConfig()
    {
        // Helper Class
    }

    /**
     * Registers SwingX components into the default SwingBuilder
     */
    public static void register()
    {
        register(SwingJavaBuilder.getConfig());
    }

    /**
     * Registers SwingX components into the specified BuilderConfig
     *
     * @param config
     *            Builder configuration
     */
    public static void register(BuilderConfig config)
    {
        // visual components
        // dock
        config.addType(ContainerContainer.class);
        config.addType(ContainerContainerDivider.class);
        config.addType(DefaultAppletDockableHolder.class);
        config.addType(DefaultDialogDockableHolder.class);
        config.addType(DefaultDockableHolder.class);
        config.addType(DefaultInternalFrameDockableHolder.class);
        config.addType(DefaultWindowDockableHolder.class);
        config.addType(DialogFloatingContainer.class);
        config.addType(DockableFrame.class);
        config.addType(DockableFramePopup.class);
        config.addType(DockableHolderPanel.class);
        config.addType(DockContext.class);
        config.addType(DockedFrameContainer.class);
        config.addType(FrameContainer.class);
        config.addType(FrameFloatingContainer.class);
        config.addType(SlidingOverFrameContainer.class);
        config.addType(WindowFloatingContainer.class);
        config.addType(Workspace.class);

    }
}
