package org.javabuilders.swing.jide;

import org.javabuilders.BuilderConfig;
import org.javabuilders.swing.SwingJavaBuilder;

import com.jidesoft.grid.AbstractComboBoxCellEditor;
import com.jidesoft.grid.AbstractJideCellEditor;
import com.jidesoft.grid.AutoFilterBox;
import com.jidesoft.grid.AutoFilterTableHeader;
import com.jidesoft.grid.AutoFilterTableHeaderEditor;
import com.jidesoft.grid.AutoFilterTableHeaderRenderer;
import com.jidesoft.grid.BooleanCellEditor;
import com.jidesoft.grid.BooleanCheckBoxCellEditor;
import com.jidesoft.grid.BooleanCheckBoxCellRenderer;
import com.jidesoft.grid.ByteCellEditor;
import com.jidesoft.grid.CalculatorCellEditor;
import com.jidesoft.grid.CategorizedTable;
import com.jidesoft.grid.CellSpanTable;
import com.jidesoft.grid.CellStyleEditor;
import com.jidesoft.grid.CellStyleTable;
import com.jidesoft.grid.CheckBoxListComboBoxCellEditor;
import com.jidesoft.grid.ColorCellEditor;
import com.jidesoft.grid.ColorCellRenderer;
import com.jidesoft.grid.ContextSensitiveCellEditor;
import com.jidesoft.grid.ContextSensitiveCellRenderer;
import com.jidesoft.grid.ContextSensitiveTable;
import com.jidesoft.grid.CustomFilterEditorDialog;
import com.jidesoft.grid.DateCellEditor;
import com.jidesoft.grid.DraggingTableHeader;
import com.jidesoft.grid.EditableTableHeader;
import com.jidesoft.grid.EnumCellRenderer;
import com.jidesoft.grid.ExpandablePanel;
import com.jidesoft.grid.ExpandableTableCellRenderer;
import com.jidesoft.grid.FilterListCellRenderer;
import com.jidesoft.grid.GroupTable;
import com.jidesoft.grid.HierarchicalPanel;
import com.jidesoft.grid.HierarchicalTable;
import com.jidesoft.grid.HierarchicalTableCellRenderer;
import com.jidesoft.grid.IconRenderer;
import com.jidesoft.grid.MarginExpandablePanel;
import com.jidesoft.grid.MultilineStringCellRenderer;
import com.jidesoft.grid.MultilineTableCellRenderer;
import com.jidesoft.grid.NavigableTable;
import com.jidesoft.grid.NestedSortableTableHeader;
import com.jidesoft.grid.NestedTableHeader;
import com.jidesoft.grid.NumberCellRenderer;
import com.jidesoft.grid.PasswordCellRenderer;
import com.jidesoft.grid.PropertyTable;
import com.jidesoft.grid.PropertyTableCellRenderer;
import com.jidesoft.grid.QuickFilterField;
import com.jidesoft.grid.QuickFilterPane;
import com.jidesoft.grid.QuickTableFilterField;
import com.jidesoft.grid.SortItemEditor;
import com.jidesoft.grid.SortOrderEditor;
import com.jidesoft.grid.SortableTable;
import com.jidesoft.grid.SortableTableHeader;
import com.jidesoft.grid.StyledTableCellRenderer;
import com.jidesoft.grid.TableCellStyleEditor;
import com.jidesoft.grid.TableColumnChooserDialog;
import com.jidesoft.grid.TableColumnGroup;
import com.jidesoft.grid.TableCustomFilterEditor;
import com.jidesoft.grid.TableFlashable;
import com.jidesoft.grid.TableScrollPane;
import com.jidesoft.grid.TableSortItemEditor;
import com.jidesoft.grid.TableSplitPane;
import com.jidesoft.grid.TreeExpandablePanel;
import com.jidesoft.grid.TreeLikeHierarchicalPanel;
import com.jidesoft.grid.TreeTable;
import com.jidesoft.grid.TreeTableCellRenderer;
import com.jidesoft.grid.TreeTableSearchable;
import com.jidesoft.grid.GridIconsFactory.PropertyPane;


/**
 * SwingJideGridsConfig : Configures the Jide Grids into the Java SwingBuilder
 *
 * @author anavarro - 20 Jul 2009
 *
 */
public final class SwingJideGridsConfig
{

    /**
     * Constructor.
     *
     */
    private SwingJideGridsConfig()
    {
        // Helper Class
    }

    /**
     * Registers SwingX components into the default SwingBuilder
     */
    public static void register()
    {
        register(SwingJavaBuilder.getConfig());
    }

    /**
     * Registers SwingX components into the specified BuilderConfig
     *
     * @param config
     *            Builder configuration
     */
    public static void register(BuilderConfig config)
    {
        // visual components
        // grid
        config.addType(AbstractComboBoxCellEditor.class);
        config.addType(AbstractJideCellEditor.class);
        config.addType(AutoFilterBox.class);
        config.addType(AutoFilterTableHeader.class);
        config.addType(AutoFilterTableHeaderEditor.class);
        config.addType(AutoFilterTableHeaderRenderer.class);
        config.addType(BooleanCellEditor.class);
        config.addType(BooleanCheckBoxCellEditor.class);
        config.addType(BooleanCheckBoxCellRenderer.class);
        config.addType(ByteCellEditor.class);
        config.addType(CalculatorCellEditor.class);
        config.addType(CategorizedTable.class);
        config.addType(CellSpanTable.class);
        config.addType(CellStyleEditor.class);
        config.addType(CellStyleTable.class);
        config.addType(CheckBoxListComboBoxCellEditor.class);
        config.addType(ColorCellEditor.class);
        config.addType(ColorCellRenderer.class);
        config.addType(ContextSensitiveCellEditor.class);
        config.addType(ContextSensitiveCellRenderer.class);
        config.addType(ContextSensitiveTable.class);
        config.addType(CustomFilterEditorDialog.class);
        config.addType(DateCellEditor.class);
        config.addType(DraggingTableHeader.class);
        config.addType(EditableTableHeader.class);
        config.addType(EnumCellRenderer.class);
        config.addType(ExpandablePanel.class);
        config.addType(ExpandableTableCellRenderer.class);
        config.addType(FilterListCellRenderer.class);
        config.addType(GroupTable.class);
        config.addType(HierarchicalPanel.class);
        config.addType(HierarchicalTable.class);
        config.addType(HierarchicalTableCellRenderer.class);
        config.addType(IconRenderer.class);
        config.addType(MarginExpandablePanel.class);
        config.addType(MultilineStringCellRenderer.class);
        config.addType(MultilineTableCellRenderer.class);
        config.addType(NavigableTable.class);
        config.addType(NestedSortableTableHeader.class);
        config.addType(NestedTableHeader.class);
        config.addType(NumberCellRenderer.class);
        config.addType(PasswordCellRenderer.class);
        config.addType(PropertyPane.class);
        config.addType(PropertyTable.class);
        config.addType(PropertyTableCellRenderer.class);
        config.addType(QuickFilterField.class);
        config.addType(QuickFilterPane.class);
        config.addType(QuickTableFilterField.class);
        config.addType(SortableTable.class);
        config.addType(SortableTableHeader.class);
        config.addType(SortItemEditor.class);
        config.addType(SortOrderEditor.class);
        config.addType(StyledTableCellRenderer.class);
        config.addType(TableCellStyleEditor.class);
        config.addType(TableColumnChooserDialog.class);
        config.addType(TableColumnGroup.class);
        config.addType(TableCustomFilterEditor.class);
        config.addType(TableFlashable.class);
        config.addType(TableScrollPane.class);
        config.addType(TableSortItemEditor.class);
        config.addType(TableSplitPane.class);
        config.addType(TreeExpandablePanel.class);
        config.addType(TreeLikeHierarchicalPanel.class);
        config.addType(TreeTable.class);
        config.addType(TreeTableCellRenderer.class);
        config.addType(TreeTableSearchable.class);
    }
}
