package org.javabuilders.swing.jide;

import org.javabuilders.BuilderConfig;
import org.javabuilders.swing.SwingJavaBuilder;

import com.jidesoft.pivot.AggregateColumnsEditor;
import com.jidesoft.pivot.AggregateTable;
import com.jidesoft.pivot.AggregateTableColumnChooserDialog;
import com.jidesoft.pivot.AggregateTablePane;
import com.jidesoft.pivot.AggregateTableSettingsDialog;
import com.jidesoft.pivot.AggregateTableSettingsPanel;
import com.jidesoft.pivot.DataTable;
import com.jidesoft.pivot.FieldArea;
import com.jidesoft.pivot.FieldBox;
import com.jidesoft.pivot.FieldSettingsPanel;
import com.jidesoft.pivot.HeaderExpandablePanel;
import com.jidesoft.pivot.HeaderTable;
import com.jidesoft.pivot.HeaderTableCellRenderer;
import com.jidesoft.pivot.PivotTablePane;


/**
 * SwingJidePivotConfig : Configures the Jide Pivot into the Java SwingBuilder
 *
 * @author anavarro - 20 Jul 2009
 *
 */
public final class SwingJidePivotConfig
{

    /**
     * Constructor.
     *
     */
    private SwingJidePivotConfig()
    {
        // Helper Class
    }

    /**
     * Registers SwingX components into the default SwingBuilder
     */
    public static void register()
    {
        register(SwingJavaBuilder.getConfig());
    }

    /**
     * Registers SwingX components into the specified BuilderConfig
     *
     * @param config
     *            Builder configuration
     */
    public static void register(BuilderConfig config)
    {
        // visual components
        // pivot
        config.addType(AggregateColumnsEditor.class);
        config.addType(AggregateTable.class);
        config.addType(AggregateTableColumnChooserDialog.class);
        config.addType(AggregateTablePane.class);
        config.addType(AggregateTableSettingsDialog.class);
        config.addType(AggregateTableSettingsPanel.class);
        config.addType(DataTable.class);
        config.addType(FieldArea.class);
        config.addType(FieldBox.class);
        config.addType(FieldSettingsPanel.class);
        config.addType(HeaderExpandablePanel.class);
        config.addType(HeaderTable.class);
        config.addType(HeaderTableCellRenderer.class);
        config.addType(PivotTablePane.class);
    }
}
