package org.javabuilders.swing.jide;

import org.javabuilders.BuilderConfig;
import org.javabuilders.swing.SwingJavaBuilder;

import com.jidesoft.rss.FeedReader;
import com.jidesoft.rss.FeedTable;
import com.jidesoft.rss.PreferencePanel;
import com.jidesoft.shortcut.ShortcutEditor;
import com.jidesoft.shortcut.ShortcutField;


/**
 * SwingJideShortcutConfig : Configures the Jide Shortcut into the Java SwingBuilder
 *
 * @author anavarro - 20 Jul 2009
 *
 */
public final class SwingJideRssConfig
{

    /**
     * Constructor.
     *
     */
    private SwingJideRssConfig()
    {
        // Helper Class
    }

    /**
     * Registers SwingX components into the default SwingBuilder
     */
    public static void register()
    {
        register(SwingJavaBuilder.getConfig());
    }

    /**
     * Registers SwingX components into the specified BuilderConfig
     *
     * @param config
     *            Builder configuration
     */
    public static void register(BuilderConfig config)
    {
        // visual components
        // shortcut
        config.addType(ShortcutEditor.class);
        config.addType(ShortcutField.class);
    }
}
